//
//  XTHtmlTagP.m
//  TadsTerp
//
//  Created by Rune Berg on 30/04/14.
//  Copyright (c) 2014 Rune Berg. All rights reserved.
//

#import "XTHtmlTagP.h"
#import "XTOutputFormatterProtocol.h"


@implementation XTHtmlTagP

+ (NSString *)name
{
	return @"p";
}

+ (NSArray *)allowedAttributes
{
	return @[@"align"];
}

+ (BOOL)standalone
{
	return NO;
}

+ (BOOL)blockLevel
{
	return YES;
}

+ (BOOL)blockLevelSpacing
{
	return YES;
}

- (NSArray *)dispatchToFormatter:(NSObject<XTOutputFormatterProtocol> *)formatter
{
	return [formatter handleHtmlTagP:self];
}

@end
